Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Sep 2013 16:38:06 +0300

> Date: Wed, 11 Sep 2013 10:44:26 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: [email-masked]
> 
> > I installed what should hopefully fix this.  Please see if things are
> > better after trunk revision 114068.
> 
> Mmmm I'm sorry to report that I just got another hung session even
> with that fix applied.

This is a different problem, at least judging by the call stack.  And
I have no idea what is going on here, especially since this:

  ntdll.dll!RtlFreeHeap+0x7e
  emacs.exe+0x137e   - ??:0
  emacs.exe+0xdb4ce  - ?? at cygming-crtbegin.c:0
  emacs.exe+0x16be6c - shut_down_emacs at emacs.c:1916

doesn't make any sense, as line 1916 of emacs.c is the opening brace
of shut_down_emacs, so it cannot call anything.